# Contributing to NVS Bootstrap Forms (Django Package)

Thank you for considering contributing to Django Bootstrap Forms! Before you get started, please take a moment to read the guidelines outlined in this document.

## Table of Contents

- [Code of Conduct](#code-of-conduct)
- [How to Contribute](#how-to-contribute)
  - [Reporting Bugs](#reporting-bugs)
  - [Requesting Features](#requesting-features)
  - [Submitting Pull Requests](#submitting-pull-requests)
- [Coding Standards](#coding-standards)
- [License](#license)

## Code of Conduct

This project adheres to the [Contributor Covenant Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report any unacceptable behavior.

## How to Contribute

### Reporting Bugs

If you encounter a bug, please ensure it hasn't been reported already by checking the [existing issues](https://github.com/Venkatnvs/nvs-bootstrap-forms/issues). If not, please create a new issue with detailed information about the bug:

- Describe the bug.
- Provide steps to reproduce.
- Include expected and actual behavior.
- Mention the version of Nvs Bootstrap Forms and your Django version.

### Requesting Features

Feel free to request new features by creating an issue and clearly explaining the proposed feature. Include any relevant details that might help in its implementation.

### Submitting Pull Requests

1. Fork the repository.
2. Create a new branch for your feature or bug fix: `git checkout -b feature/your-feature` or `git checkout -b bugfix/your-bug-fix`.
3. Make your changes and test thoroughly.
4. Ensure your code adheres to the [coding standards](#coding-standards).
5. Commit your changes: `git commit -m "Your detailed commit message"`.
6. Push to your fork: `git push origin feature/your-feature`.
7. Open a pull request with a clear title and description.

## Coding Standards

Please follow the coding standards and conventions used in the project. This ensures consistency and makes the codebase more maintainable.

## License

By contributing to this project, you agree that your contributions will be licensed under the MIT License. See the [LICENSE](LICENSE.md) file for details.
